"""Add trees.enabled

Revision ID: 22c8d1fba959
Revises: 66e56620891a
Create Date: 2023-06-19 15:31:06.235185

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.engine.reflection import Inspector

# revision identifiers, used by Alembic.
revision = "22c8d1fba959"
down_revision = "66e56620891a"
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()
    inspector = Inspector.from_engine(conn)
    columns = [col["name"] for col in inspector.get_columns("trees")]
    if "enabled" in columns:
        # If column already exists, do nothing
        return None

    op.add_column(
        "trees", sa.Column("enabled", sa.Integer(), server_default="1", nullable=True)
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("trees", "enabled")
    # ### end Alembic commands ###
