"""Add trees table

Revision ID: 66e56620891a
Revises: e176543c72a8
Create Date: 2023-05-05 22:48:14.628117

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.engine.reflection import Inspector

# revision identifiers, used by Alembic.
revision = "66e56620891a"
down_revision = "e176543c72a8"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    conn = op.get_bind()
    inspector = Inspector.from_engine(conn)
    tables = inspector.get_table_names()
    if "trees" in tables:
        # Don't do anything if trees table already exists!
        return None

    op.create_table(
        "trees",
        sa.Column("id", sa.String(), nullable=False),
        sa.Column("quota_media", sa.Integer(), nullable=True),
        sa.Column("quota_people", sa.Integer(), nullable=True),
        sa.Column("usage_media", sa.Integer(), nullable=True),
        sa.Column("usage_people", sa.Integer(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("trees")
    # ### end Alembic commands ###
